Description

When the anubis VM execute another process, this process stay opened in processes list.

This has been seen under the MIPSel version of the VM, but there is no reason that the x86 Linux version doesn't have the same
defect (not tested because of lack of time).

History

#1 - 10/12/2007 11:13 AM - Alain Prouté

The linux version has the same defect. This has been remarked on the web site, in the page proposing online compilation.

| reread the GNU documentation, but | cannot understand why execvp does not terminate.

#2 - 06/27/2008 11:41 AM - Anonymous

In fact, this was a wrong usage of execute function. The wait _for_process was forgotten.

But the bug remains opened because Anubis is not working has expected, and process hasn't been closed by garbage.

#3 - 01/20/2009 09:00 AM - Anonymous

- Target version changed from 1.9to 1.10

- Platform deleted (Linux MIPSel)
- 3 deleted (Not started)
